document.addEventListener("DOMContentLoaded", () => {
  const sections = document.querySelectorAll("section");
  const navLinks = document.querySelectorAll("#navbar li a");
  const dropdownToggle = document.getElementById("dropdown-customs");

  const observerOptions = {
    root: null, // Use the viewport as the root
    threshold: 0.5, // Trigger when 50% of the section is visible
  };

  const observer = new IntersectionObserver((entries) => {
    entries.forEach((entry) => {
      const sectionId = entry.target.getAttribute("id");
      const navLink = document.querySelector(
        `#navbar li a[href="#${sectionId}"]`
      );

      if (entry.isIntersecting) {
        // Remove active class from all links
        navLinks.forEach((link) => link.classList.remove("active"));
        // Add active class to the current link
        navLink.classList.add("active");
      }
      // if (
      //   sectionId === "section5" ||
      //   sectionId === "section6" ||
      //   sectionId === "section7"
      // ) {
      //   dropdownToggle.classList.add("active");
      //   dropdownItems.forEach((item) => item.classList.add("active"));
      // } else {
      //   dropdownToggle.classList.remove("active");
      //   dropdownItems.forEach((item) => item.classList.remove("active"));
      // }
    });
  }, observerOptions);

  // Observe each section
  sections.forEach((section) => observer.observe(section));

  let backtotop = document.querySelector(".back-to-top");
  if (backtotop) {
    const toggleBacktotop = () => {
      if (window.scrollY > 90) {
        backtotop.classList.add("activeArrow");
      } else {
        backtotop.classList.remove("activeArrow");
      }
    };
    window.addEventListener("scroll", toggleBacktotop);
  }
});
function closeOffcanvas() {
  const offcanvasElement = document.getElementById("offcanvasRight");
  const offcanvas =
    bootstrap.Offcanvas.getInstance(offcanvasElement) ||
    new bootstrap.Offcanvas(offcanvasElement);
  offcanvas.hide();
}

// document.addEventListener("DOMContentLoaded", () => {
//   const sections = document.querySelectorAll("section");
//   const navLinks = document.querySelectorAll("#navbar li a");
//   const dropdownToggle = document.querySelector(".nav-link.dropdown-toggle");
//   const dropdownItems = document.querySelectorAll(".dropdown-item");

//   const observerOptions = {
//     root: null, // Use the viewport as the root
//     threshold: 0.5, // Trigger when 50% of the section is visible
//   };

//   const observer = new IntersectionObserver((entries) => {
//     entries.forEach((entry) => {
//       const sectionId = entry.target.getAttribute("id");
//       const navLink = document.querySelector(
//         `#navbar li a[href="#${sectionId}"]`
//       );

//       if (entry.isIntersecting) {
//         // Remove active and active classes from all links
//         navLinks.forEach((link) => link.classList.remove("active", "active"));

//         // Add active class to the current link
//         navLink.classList.add("active");

//         // active "Other" dropdown and its items if section 5, 6, or 7 is active
//         if (
//           sectionId === "section5" ||
//           sectionId === "section6" ||
//           sectionId === "section7"
//         ) {
//           dropdownToggle.classList.add("active");
//           dropdownItems.forEach((item) => item.classList.add("active"));
//         } else {
//           dropdownToggle.classList.remove("active");
//           dropdownItems.forEach((item) => item.classList.remove("active"));
//         }
//       }
//     });
//   }, observerOptions);

//   // Observe each section
//   sections.forEach((section) => observer.observe(section));

//   let backtotop = document.querySelector(".back-to-top");
//   if (backtotop) {
//     const toggleBacktotop = () => {
//       if (window.scrollY > 90) {
//         backtotop.classList.add("activeArrow");
//       } else {
//         backtotop.classList.remove("activeArrow");
//       }
//     };
//     window.addEventListener("scroll", toggleBacktotop);
//   }
// });

// function closeOffcanvas() {
//   const offcanvasElement = document.getElementById("offcanvasRight");
//   const offcanvas =
//     bootstrap.Offcanvas.getInstance(offcanvasElement) ||
//     new bootstrap.Offcanvas(offcanvasElement);
//   offcanvas.hide();
// }

// function toggleDropdown(event) {
//   event.preventDefault();
//   const dropdownMenu = document.getElementById("offcanvasDropdownMenu");
//   dropdownMenu.classList.toggle("show"); // Toggle Bootstrap's `show` class
// }
