<?php
require_once '../shared/master.php';

function contentBody()
{

?>
    <section id="section0">
        <div class="dashboard">
            <img id="desktopBanner" src="../../assets/COTT.png" alt="Banner">
            <img id="mobileBanner" src="../../assets/COTT-mobile.png" alt="Banner">
        </div>
    </section>
       <section id="section1">
        <div class="LOACC">
            <h1>Program</h1>
       
            <div class="mt-3">
                <div class="mt-5 ">
                    <iframe class="flipbook-container"
                        src="https://online.pubhtml5.com/xptib/mtfv/"
                        allowfullscreen></iframe>
                </div>
            </div>
        </div>
    </section>

    <section id="section2">
        <div class="COA">
            <h1>Certificate of Authenticity</h1>
            <div class="mt-5">
                <div class="mt-5 pdf-container">
                    <object class="pdf"
                        data="../../assets/BSIT Certification of Authenticity .pdf"
                        width="800"
                        height="500">
                    </object>
                </div>
            </div>
        </div>
    </section>

    <section id="section3">
        <div class="LOACC">
            <h1>List of Accreditors and CNSC Counterpart</h1>
            <div class="mt-5">
                <div class="mt-5 pdf-container">
                    <object class="pdf"
                        data="../../assets/cott-pdf.pdf"
                        width="800"
                        height="500">
                    </object>
                </div>
            </div>
        </div>
    </section>

    <section id="section4">
        <div class="LOA">
            <h1 class="default-padding">Mandatory - Area Documents</h1>
            <div class="mt-5 default-padding">
                <h2>Bachelor of Science in Industrial Technology</h2>
                <hr>
            </div>

            <div class="list-container mt-5">
                <div class="btn-group">
                    <button type="button" class="btn btn-warning dropdown-toggle loa-btn" data-bs-toggle="dropdown" aria-expanded="false"><i class="fa-brands fa-google-drive"></i> &nbsp;
                        Area II: Faculty Development
                    </button>
                    <ul class="dropdown-menu">
                        <li><a class="dropdown-item" href="https://drive.google.com/file/d/14w2sbLKbX4MIBoOtPn_BoP6st1BHq41d/view" target="_blank">Narrative Profile - Faculty Development</a></li>
                        <li><a class="dropdown-item" href="https://drive.google.com/drive/folders/1hwIN439jz7XN0P5Az1Wvj189JEIUiFG-" target="_blank">COTT Accomplishment Report 2021 - 2024</a></li>
                        <li><a class="dropdown-item" href="https://drive.google.com/file/d/1mmY2ybBK_RAzyVReMaCTdJ3g52Q88OFc/view" target="_blank">COTT Faculty Development</a></li>
                        <li><a class="dropdown-item" href="https://drive.google.com/file/d/153fFek1QqcQlMo8F5fn-J_j78z5nkP1O/view" target="_blank">Faculty Development Presentation</a></li>
                        <li><a class="dropdown-item" href="https://drive.google.com/drive/folders/1NOrgTPhH5d6AG_Y6GNoVp5YHSrCiY7dN" target="_blank">Additional Documents</a></li>
                    </ul>
                </div>

                <div class="btn-group">
                    <button type="button" class="btn btn-warning dropdown-toggle loa-btn" data-bs-toggle="dropdown" aria-expanded="false"><i class="fa-brands fa-google-drive"></i> &nbsp;
                        Area III - Instruction
                    </button>
                    <ul class="dropdown-menu">
                        <li><a class="dropdown-item" href="https://drive.google.com/drive/folders/1IkBbapKmv5oOFsz2LMKTayOdLndnBocd" target="_blank">Narrative Profile</a></li>
                        <li><a class="dropdown-item" href="https://drive.google.com/drive/folders/1tj4CHg_IFgPJzgmja_neZjmW-7AeG2O-" target="_blank">File Exhibits</a></li>
                        <li><a class="dropdown-item" href="https://drive.google.com/drive/folders/1EQ-GW27tmQ55fxe63bJsGax9wDVo3Xfr" target="_blank">Compliance Report</a></li>
                    </ul>
                </div>

                <div class="btn-group">
                    <button type="button" class="btn btn-warning dropdown-toggle loa-btn" data-bs-toggle="dropdown" aria-expanded="false"><i class="fa-brands fa-google-drive"></i> &nbsp;
                        Area VI - Extension and Community Relations
                    </button>
                    <ul class="dropdown-menu">
                        <li><a class="dropdown-item" href="https://drive.google.com/file/d/1EImlC1ySUxOPKYKco-kQKp6SSq5jF_H5/view" target="_blank">BSIT Level III Phase II Area VI Narrative Profile</a></li>
                        <li><a class="dropdown-item" href="https://drive.google.com/file/d/1yL7P-1_7MpbY9pl4sngA1N8erXUGvzHT/view" target="_blank">BSIT Level III Phase II Area VI Compliance Report</a></li>
                        <li><a class="dropdown-item" href="https://drive.google.com/file/d/1X95n_ZQSSquONsZD4dtc5RVOrqFCslxU/view" target="_blank">Area VI Video Presentation</a></li>
                    </ul>
                </div>

                <div class="btn-group">
                    <button type="button" class="btn btn-warning dropdown-toggle loa-btn" data-bs-toggle="dropdown" aria-expanded="false"><i class="fa-brands fa-google-drive"></i> &nbsp;
                        Area VII - Library Facilities
                    </button>
                    <ul class="dropdown-menu">
                        <li><a class="dropdown-item" href="https://drive.google.com/file/d/1BYHu-OKtIBcUVJV4xOepYiWAtrSz9nM8/view" target="_blank">BSIT - 2024 Compliance Report</a></li>
                        <li><a class="dropdown-item" href="https://drive.google.com/file/d/1kyYjdqeFsxXgZAcAqItU0jr2WDBkcxpN/view" target="_blank">Narrative Profile (BSIT) 2024</a></li>
                        <li><a class="dropdown-item" href="https://drive.google.com/file/d/1lJ9LTS9S0uP3kKYen4IIYMoL5YZgOq38/view" target="_blank">Area D - Library</a></li>
                    </ul>
                </div>

            </div>
        </div>
    </section>

    <section id="section5">
        <div class="LOA Additional">
            <h1>Compliance Report</h1>
          
            <div class="mt-5 default-padding">
                <h2>Bachelor of Science in Industrial Technology</h2>
                <hr>
            </div>

            <div class="list-container mt-5">
                <div class="btn-group">
                    <button type="button" class="btn btn-warning dropdown-toggle loa-btn" data-bs-toggle="dropdown" aria-expanded="false"><i class="fa-brands fa-google-drive"></i> &nbsp;
                        Area I - Vision, Mission, Goals and Objectives
                    </button>
                    <ul class="dropdown-menu">
                        <li><a class="dropdown-item" href="https://drive.google.com/drive/folders/13BBXvJETQHb1CXbWacPX8vcbMWux-mQ2" target="_blank">BSIT-Level-III-Phase-II-Area-I-Compliance-Report</a></li>
                        </li>
                    </ul>
                </div>

                <div class="btn-group">
                    <button type="button" class="btn btn-warning dropdown-toggle loa-btn" data-bs-toggle="dropdown" aria-expanded="false"><i class="fa-brands fa-google-drive"></i> &nbsp;
                        Area II - Faculty
                    </button>
                    <ul class="dropdown-menu">
                        <li><a class="dropdown-item" href="https://drive.google.com/drive/folders/16h4cSw4mXGOYzaWBg17m4fh4e0LwjoZu" target="_blank">CNSC-CoTT Learning and Development Plan</a></li>
                        <li><a class="dropdown-item" href="https://drive.google.com/drive/folders/1mTBEjotSW-RT2EwZ7UVWgxA02Ekdr0BY" target="_blank">CoTT Accomplishment 2021-2024</a></li>
                        <li><a class="dropdown-item" href="https://drive.google.com/file/d/1iGFlDrQH7BRk3d_7oBQmhKMnEV3KDwvG/view" target="_blank">Compliamce Report 2024</a></li>
                </div>

                <div class="btn-group">
                    <button type="button" class="btn btn-warning dropdown-toggle loa-btn" data-bs-toggle="dropdown" aria-expanded="false"><i class="fa-brands fa-google-drive"></i> &nbsp;
                        Area III - Instruction
                    </button>
                    <ul class="dropdown-menu">
                        <li><a class="dropdown-item" href="https://drive.google.com/drive/folders/1NDQSYr51EpbJbLzpHIjz2WUV_hugwGAS" target="_blank">Narrative Profile</a></li>
                        <li><a class="dropdown-item" href="https://drive.google.com/drive/folders/19UtlDCe1sYLC_vmlIATh2kRsj8zy3BIA" target="_blank">File Exhibits</a></li>
                        <li><a class="dropdown-item" href="https://drive.google.com/drive/folders/1zKUZKdCVSEQXECOoLwGSJ8IXMIzdtryx" target="_blank">Compliance Report</a></li>
                    </ul>
                </div>

                <div class="btn-group">
                    <button type="button" class="btn btn-warning dropdown-toggle loa-btn" data-bs-toggle="dropdown" aria-expanded="false"><i class="fa-brands fa-google-drive"></i> &nbsp;
                        Area IV - Support to Students
                    </button>
                    <ul class="dropdown-menu">
                        <li><a class="dropdown-item" href="https://drive.google.com/drive/folders/1M8XJ55a3g18Wx249CE1terkaJgv2Uo3M" target="_blank">CoTT OSSD Accomplishment Reports</a></li>
                        <li><a class="dropdown-item" href="https://drive.google.com/drive/folders/1_K6seDxyrKhBcnjW5l--2dyEq1lCcSfS" target="_blank">Compliance Report</a></li>
                    </ul>
                </div>

                <div class="btn-group">
                    <button type="button" class="btn btn-warning dropdown-toggle loa-btn" data-bs-toggle="dropdown" aria-expanded="false"><i class="fa-brands fa-google-drive"></i> &nbsp;
                        Area V - Research
                    </button>
                    <ul class="dropdown-menu">
                        <li><a class="dropdown-item" href="https://drive.google.com/drive/folders/1_nG5pmeJ61MPaZOumQbLdOLPnsey0FS1" target="_blank">Accomplishment Report</a></li>
                        <li><a class="dropdown-item" href="https://drive.google.com/file/d/1Uay610koDjftI1re-NmqdA4phgqKcLo6/view" target="_blank">BSIT Level III Phase II Area V Compliance Report</a></li>
                    </ul>
                </div>

                <div class="btn-group">
                    <button type="button" class="btn btn-warning dropdown-toggle loa-btn" data-bs-toggle="dropdown" aria-expanded="false"><i class="fa-brands fa-google-drive"></i> &nbsp;
                        Area VI - Extension and Community Development
                    </button>
                    <ul class="dropdown-menu">
                        <li><a class="dropdown-item" href="https://drive.google.com/drive/folders/1B3QbdpH5PJ_6W6NEALvjD5-h_SsIaPB-" target="_blank">CoTT Accomplishment Report 2021-2024</a></li>
                        <li><a class="dropdown-item" href="https://drive.google.com/file/d/1basPN7G2C4_rG8HXTk9KgT_Nwwe6U7Y0/view" target="_blank">BSIT Level III Phase II Area VI Compliance Report</a></li>
                    </ul>
                </div>

                <div class="btn-group">
                    <button type="button" class="btn btn-warning dropdown-toggle loa-btn" data-bs-toggle="dropdown" aria-expanded="false"><i class="fa-brands fa-google-drive"></i> &nbsp;
                        Area VII - Library Facilities
                    </button>
                    <ul class="dropdown-menu">
                        <li><a class="dropdown-item" href="https://drive.google.com/file/d/1Pwe5Oyasw0fUvKD6PMqo4QGd5yM3IL9C/view" target="_blank">BSIT - 2024 Compliance Report</a></li>
                    </ul>
                </div>

                <div class="btn-group">
                    <button type="button" class="btn btn-warning dropdown-toggle loa-btn" data-bs-toggle="dropdown" aria-expanded="false"><i class="fa-brands fa-google-drive"></i> &nbsp;
                        Area VIII - Physical Plant and Facilities
                    </button>
                    <ul class="dropdown-menu">
                        <li><a class="dropdown-item" href="https://drive.google.com/drive/folders/1DoV9VfSzdH9nVMtbYmXpQ3AGdO1Wi7Wf" target="_blank"> Area III Physical Plant and Facilites Compliance Report</a></li>
                    </ul>
                </div>

                <div class="btn-group">
                    <button type="button" class="btn btn-warning dropdown-toggle loa-btn" data-bs-toggle="dropdown" aria-expanded="false"><i class="fa-brands fa-google-drive"></i> &nbsp;
                        Area IX - Laboratories
                    </button>
                    <ul class="dropdown-menu">
                        <li><a class="dropdown-item" href="https://drive.google.com/file/d/1cj5nPuc7pK6TFq-PU6kIkM17y7GSmxri/view" target="_blank">Proof 1</a></li>
                        <li><a class="dropdown-item" href="https://drive.google.com/file/d/1AhEWaoQuFn_9LCR1QqH363yZMjzuhMYN/view" target="_blank">Proof 2</a></li>
                        <li><a class="dropdown-item" href="https://drive.google.com/file/d/1CvIkejo8Ah2rGqSrlWuo4eYOnngiiY7A/view" target="_blank">Proof 3</a></li>
                        <li><a class="dropdown-item" href="https://drive.google.com/file/d/1N-PedSw2vvb_JTpv_bSVn3ql1JIZ2KyN/view" target="_blank">Proof 4</a></li>
                        <li><a class="dropdown-item" href="https://drive.google.com/file/d/1aIHAfdo7DR9hG2zMyVH4vwnkV3z0SbLL/view" target="_blank">Area IX</a></li>
                        <li><a class="dropdown-item" href="https://drive.google.com/file/d/1tIy--jWrFxtn5uP8-1rGciaNlsh8odxS/view" target="_blank">Compliance Report </a></li>
                    </ul>
                </div>

                <div class="btn-group">
                    <button type="button" class="btn btn-warning dropdown-toggle loa-btn" data-bs-toggle="dropdown" aria-expanded="false"><i class="fa-brands fa-google-drive"></i> &nbsp;
                        Area X - Administration
                    </button>
                    <ul class="dropdown-menu">
                        <li><a class="dropdown-item" href="https://drive.google.com/drive/folders/1QIZK-t9I9gt3eL6L1I_F_ueDT0mWNwxz" target="_blank">Compliance Report Administration</a></li>
                    </ul>
                </div>
            </div>
        </div>
    </section>

    <section id="section6">
        <div class="LOA">
            <h1 class="default-padding">Summary of Findings and Recommendation</h1>
            <br>
            <div class="list-container mt-5">
                <div class="btn-group">
                    <button type="button" class="btn btn-warning loa-btn" target="_blank" onclick="window.open('https://drive.google.com/drive/folders/1MZNA8D_s-sx2Shf4GfSb5zd47PHgPSex', '_blank')">
                        <i class="fa-brands fa-google-drive"></i> &nbsp; Summary of Findings and Recommendation
                    </button>
                </div>
            </div>
        </div>
    </section>

    <!--<section id="section7">-->
    <!--    <div class="LOA Additional">-->
    <!--        <h1 class="default-padding">Additional Documents</h1>-->
    <!--        <br>-->
    <!--        <div class="list-container mt-5">-->
    <!--            <div class="btn-group">-->
    <!--                <button type="button" class="btn btn-warning loa-btn" target="_blank" onclick="window.open('https://drive.google.com/drive/folders/1TG1P832w1W5Wl7exzF2gjWwiZnLamua4', '_blank')">-->
    <!--                    <i class="fa-brands fa-google-drive"></i> &nbsp; Additional Documents-->
    <!--                </button>-->
    <!--            </div>-->
    <!--        </div>-->
    <!--    </div>-->
    <!--</section>-->


    <a href="#" class="back-to-top d-flex align-items-center justify-content-center">
        <i class="fa-solid fa-arrow-up fa-xl"></i>
    </a>

    <a href="#section2" class="move-down d-flex align-items-center justify-content-center">
        <i class="fa-solid fa-arrow-down fa-xl"></i>
    </a>
<?php
}
